This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293439 - [abrt] pitivi: previewers.py:764:_launchPipeline:AttributeError: 'NoneType' object has no attribute 'get_asset'
[abrt] pitivi: previewers.py:764:_launchPipeline:AttributeError: 'NoneType' o...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e955c6c7e495f2cb8abb2e57f5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 13:50 EST by mariolinux
Modified: 2016-12-20 12:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (876 bytes, text/plain)
2015-12-21 13:50 EST, mariolinux
no flags Details
File: environ (1.60 KB, text/plain)
2015-12-21 13:50 EST, mariolinux
no flags Details

  None (edit)
Description mariolinux 2015-12-21 13:50:04 EST
Version-Release number of selected component:
pitivi-0.95-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python3 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
previewers.py:764:_launchPipeline:AttributeError: 'NoneType' object has no attribute 'get_asset'

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/pitivi/timeline/previewers.py", line 748, in _startLevelsDiscovery
    self._launchPipeline()
  File "/usr/lib64/python3.4/site-packages/pitivi/timeline/previewers.py", line 764, in _launchPipeline
    self.nSamples = self.bElement.get_parent(
AttributeError: 'NoneType' object has no attribute 'get_asset'

Local variables in innermost frame:
bus: <Bus object at 0x7fa5bc2dde10 (GstBus at 0x558fad0392e0)>
decode: <__main__.GstURIDecodeBin object at 0x7fa5bc2dddc8 (GstURIDecodeBin at 0x558fac6c5100)>
self: <AudioPreviewer object at 0x7fa5bc2dd990 (pitivi+timeline+previewers+AudioPreviewer at 0x558facf58c90)>
faked: <__main__.GstFakeSink object at 0x7fa5bc2dd240 (GstFakeSink at 0x558fad202770)>
Comment 1 mariolinux 2015-12-21 13:50:10 EST
Created attachment 1108354 [details]
File: backtrace
Comment 2 mariolinux 2015-12-21 13:50:11 EST
Created attachment 1108355 [details]
File: environ
Comment 3 Scott Poore 2016-03-23 19:00:57 EDT
Similar problem has been detected:

pitivi seemed to hang when I was editing a clip to delete a cunk from the middle.

1. added a 45MG ogv clip to a project. 
2. used the previewer to pause on the first spot to cut
3. forward with the slider close to time to end of section to cut
4. play previewer again to find exact spot to mark end cut
5. selcect middle section then click on delete icon on right

At this point the app hangs.  I could not select anything and this was in the same state more than 2 hours later.

reporter:       libreport-2.6.4
cmdline:        python3 /usr/bin/pitivi
event_log:      2016-03-23-17:54:59> ('report_uReport' completed successfully)
executable:     /usr/bin/pitivi
kernel:         4.4.3-300.fc23.x86_64
package:        pitivi-0.95-1.fc23
reason:         previewers.py:764:_launchPipeline:AttributeError: 'NoneType' object has no attribute 'get_asset'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 4 Fedora End Of Life 2016-11-24 09:26:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:17:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.